# -*- coding: utf-8 -*-
# Generated by Django 1.11.20 on 2019-10-08 00:53
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import positions.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media', '0009_remove_mediarelation_sort_default'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=512, populate_from='title', unique=True)),
                ('published', models.BooleanField(db_index=True, default=True, help_text='Whether to publish on the site.')),
                ('position', positions.fields.PositionField(default=-1)),
                ('intro_text', models.TextField(blank=True, help_text='Text to show in intro section of category page')),
                ('notes', models.TextField(blank=True, help_text='For internal use')),
                ('intro_image', models.ForeignKey(blank=True, help_text='A full-bleed image shown at top of category pages', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='media.Image')),
            ],
            options={
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
                'ordering': ('position', 'id'),
            },
        ),
        migrations.CreateModel(
            name='MiniSite',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=512)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the name used in URLs', max_length=512, populate_from='name', unique=True)),
                ('published', models.BooleanField(db_index=True, default=True, help_text='Whether to publish on the site.')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Mini Site',
                'verbose_name_plural': 'Mini Sites',
                'ordering': ('-created', 'id'),
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=512, populate_from='title', unique=True)),
                ('client', models.CharField(blank=True, max_length=255)),
                ('date', models.DateField(blank=True, null=True)),
                ('published', models.BooleanField(db_index=True, default=True, help_text='Whether to publish on the site.')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('video_intro_caption', models.TextField(blank=True, help_text='Caption to be shown along with main video')),
                ('show_project_details', models.BooleanField(default=True, help_text='Show "view more" link to project details page from video popups.', verbose_name='Show project details link')),
                ('notes', models.TextField(blank=True, help_text='For internal use')),
            ],
            options={
                'verbose_name': 'Project',
                'verbose_name_plural': 'Projects',
                'ordering': ('-date', 'id'),
            },
        ),
        migrations.CreateModel(
            name='ProjectCategoryMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', positions.fields.PositionField(default=-1)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_memberships', to='promotion.Category')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='category_memberships', to='promotion.Project')),
            ],
            options={
                'ordering': ('position', 'id'),
            },
        ),
        migrations.CreateModel(
            name='ProjectContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True)),
                ('position', positions.fields.PositionField(default=-1)),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='promotion_projectcontent_related', related_query_name='promotion_projectcontents', to='media.Image')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content', to='promotion.Project')),
                ('video', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='promotion_projectcontent_related', related_query_name='promotion_projectcontents', to='media.Video')),
            ],
            options={
                'verbose_name': 'Content Item',
                'ordering': ('project', 'position'),
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='project',
            name='categories',
            field=models.ManyToManyField(related_name='projects', through='promotion.ProjectCategoryMembership', to='promotion.Category'),
        ),
        migrations.AddField(
            model_name='project',
            name='image',
            field=models.ForeignKey(blank=True, help_text='Representative image used in project lists.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='media.Image', verbose_name='Main Image'),
        ),
        migrations.AddField(
            model_name='project',
            name='video',
            field=models.ForeignKey(blank=True, help_text='Main video to play from project list pages.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='media.Video', verbose_name='Main Video'),
        ),
        migrations.AddField(
            model_name='category',
            name='minisite',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='categories', to='promotion.MiniSite'),
        ),
        migrations.AlterUniqueTogether(
            name='projectcategorymembership',
            unique_together=set([('project', 'category')]),
        ),
    ]
